package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag110;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.mt1XXAbsCreator.MT110AbsCreator;

public class Tag30Creator extends AbsTagCreate {
    private MT110AbsCreator mt110AbsCreator;

    public Tag30Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt110AbsCreator= (MT110AbsCreator) absMTCreator;
    }

    public void creator()
    {
        String tag30Value = mt110AbsCreator.getDateofIssue();
        mt110AbsCreator.set("30", tag30Value);
    }
}
